metacity (flashback) crashes and forces logout

Bug #1573478 reported by LukeKendall
96
This bug affects 16 people
Affects Status Importance Assigned to Milestone
metacity (Ubuntu)
Critical
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Critical
Unassigned

Bug Description

[Impact]
Metacity can segfault in several cases. It is a regression introduced by 1:3.18.3-1ubuntu3 upload.

[Test Case]
The exact step to get this bug are unknown. Just using Metacity for some time may make it crashing. Perhaps doing more WM-related operations (like Alt+Tabbing) may speed up triggering it.

[Regression Potential]
This fix is tested by several users and seems to not have any regressions.

-----------------------------------------------------------------------------

After an update 2 or 3 days ago, at random times mid-session, all window decorations vanish, then the desktop goes to black (just time/date stamp showing IIRC, as at a screen lock), and then I'm presented with a login screen again.

I was logging in with Gnome Flashback. It's been happening several times a day, and it's infuriating.

This time I've logged in with the "(Metacity)" option rather than the (Flashback)" option, and I'll see if that works. Otherwise, I'll go back to a Window Maker session to get a reliable experience.

I see this in /var/log/kern.log:

Apr 22 18:31:48 pute kernel: [11401.021438] perf interrupt took too long (2509 > 2500), lowering kernel.perf_event_max_sample_rate to 50000
Apr 22 18:32:33 pute kernel: [11445.589519] show_signal_msg: 66 callbacks suppressed
Apr 22 18:32:33 pute kernel: [11445.589528] metacity[2447]: segfault at 1a3359 ip 0000000000426f51 sp 00007fff3ed289b8 error 4 in metacity[400000+8d000]
Apr 22 18:32:33 pute gnome-session-binary[1845]: Unrecoverable failure in required component metacity.desktop
Apr 22 18:32:47 pute gnome-session-binary[7282]: Entering running state
Apr 22 18:33:37 pute gnome-session-binary[8527]: Entering running state

Here are some earlier ones:

Apr 22 15:18:47 pute kernel: [60617.177188] metacity[16270]: segfault at 48 ip 0000000000426e2e sp 00007fff2daf0478 error 4 in metacity[400000+8d000]
Apr 22 15:18:47 pute gnome-session-binary[16198]: Unrecoverable failure in required component metacity.desktop
Apr 22 15:18:58 pute gnome-session-binary[28521]: Entering running state
Apr 22 15:21:11 pute NetworkManager[802]: <info> [1461302471.2831] ModemManager disappeared from bus
Apr 22 15:21:52 pute kernel: [ 0.000000] Initializing cgroup subsys cpuset

Apr 22 02:22:23 pute kernel: [14028.678785] show_signal_msg: 27 callbacks suppressed
Apr 22 02:22:23 pute kernel: [14028.678797] metacity[2509]: segfault at 302e64617074 ip 0000000000466780 sp 00007ffca8b8b998 error 4 in metacity[400000+8d000]
Apr 22 02:22:28 pute gnome-session-binary[2439]: Unrecoverable failure in required component metacity.desktop
Apr 22 02:22:56 pute gnome-session-binary[9411]: Entering running state
Apr 22 04:02:03 pute kernel: [20008.941872] metacity[9467]: segfault at 7f6e008e0018 ip 0000000000426e20 sp 00007ffc7090a3c8 error 4 in metacity[400000+8d000]
Apr 22 04:02:03 pute gnome-session-binary[9411]: Unrecoverable failure in required component metacity.desktop
Apr 22 04:02:23 pute gnome-session-binary[14247]: Entering running state
Apr 22 04:15:57 pute kernel: [20843.181807] traps: metacity[14309] general protection ip:466530 sp:7ffd40cb18b8 error:0 in metacity[400000+8d000]
Apr 22 04:15:57 pute gnome-session-binary[14247]: Unrecoverable failure in required component metacity.desktop
Apr 22 04:15:57 pute kernel: [20843.493120] QXcbEventReader[15628]: segfault at 7ff10d5e7629 ip 00007ff10d5e7629 sp 00007ff0ff5a5d60 error 14 in libes_plugin.so[7ff10d697000+6000]
Apr 22 04:16:16 pute gnome-session-binary[16198]: Entering running state

Apr 21 22:25:24 pute kernel: [3148119.324731] metacity[2822]: segfault at 100000007 ip 00007f8020e83278 sp 00007ffdc421c010 error 4 in libc-2.21.so (deleted)[7f8020e04000+1c0000]
Apr 21 22:25:24 pute gnome-session-binary[2714]: Unrecoverable failure in required component metacity.desktop
Apr 21 22:25:24 pute kernel: [3148119.901802] dconf worker[2727]: segfault at 8 ip 00007f35f3db2481 sp 00007f35ea99baa0 error 4 in libglib-2.0.so.0.4706.0 (deleted)[7f35f3d6b000+10e000]
Apr 21 22:25:29 pute kernel: [3148124.830996] dbus-daemon[2635]: segfault at 0 ip 00007f10b2934017 sp 00007ffff7b10518 error 6 in libdbus-1.so.3.14.6 (deleted)[7f10b2908000+4a000]
Apr 21 22:25:55 pute gnome-session-binary[19038]: Entering running state
Apr 21 22:26:28 pute gnome-session-binary[19038]: Entering running state
Apr 21 22:26:28 pute kernel: [3148183.865201] metacity[19100]: segfault at 48 ip 0000000000426f51 sp 00007ffe2a345168 error 4 in metacity[400000+8d000]
Apr 21 22:26:32 pute gnome-session-binary[19038]: Unrecoverable failure in required component metacity.desktop
Apr 21 22:26:48 pute gnome-session-binary[20075]: Entering running state
Apr 21 22:27:31 pute gnome-session-binary[20075]: Entering running state

$ lsb_release -rd
Description: Ubuntu 16.04 LTS
Release: 16.04
$ apt-cache policy metacity
metacity:
  Installed: 1:3.18.3-1ubuntu3
  Candidate: 1:3.18.3-1ubuntu3
  Version table:
 *** 1:3.18.3-1ubuntu3 500
        500 http://mirror.optus.net/ubuntu xenial/main amd64 Packages
        100 /var/lib/dpkg/status
     1:2.34.13-0ubuntu4.1 500
        500 http://au.archive.ubuntu.com/ubuntu trusty-updates/main amd64 Packages

What I expected to happen: No spontaneous, forced logout.
What happened instead: Repeated, random forced logouts.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: metacity 1:3.18.3-1ubuntu3
ProcVersionSignature: Ubuntu 4.4.0-21.37-generic 4.4.6
Uname: Linux 4.4.0-21-generic x86_64
ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
CurrentDesktop: GNOME-Flashback:Unity
Date: Fri Apr 22 18:44:02 2016
InstallationDate: Installed on 2014-01-24 (819 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64 (20140123)
SourcePackage: metacity
UpgradeStatus: No upgrade log present (probably fresh install)

Revision history for this message
LukeKendall (luke-zeta) wrote :
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in metacity (Ubuntu):
status: New → Confirmed
Revision history for this message
LukeKendall (luke-zeta) wrote :
Revision history for this message
LukeKendall (luke-zeta) wrote :

Possibly-related: I currently have one Firefox window (only: of 14 FF windows) that spontaneously lost its canvas management area - all the outside bits that have the icons to close it, minimise it, resize it etc. I'll attach a screenshot. In addition, when I turned on power to my secondary monitor (where I had a FF window open with this bug report and a few other tabs), that window would not display on the 2nd monitor. In fact, although that FF window appears in the dock, I can't get to it or see it or work with it in any way - except that if I click on its icon in the dock, to hide or unhide it, I sometimes see two or three frames of the hide/unhide animation. Using alt-mousedown, I can't grab the window. I can drag other windows onto the 2nd monitor - it's working fine - but the bug-report FF window is not being rendered, nor is it grabbable in any way.

Revision history for this message
Alberts Muktupāvels (muktupavels) wrote :

https://launchpad.net/~albertsmuktupavels/+archive/ubuntu/metacity-3-18

Please use above PPA to upgrade metacity. That is current upstream version (unreleased) that is supposed to fix few problems. Please report any problem you see with that version.

Revision history for this message
LukeKendall (luke-zeta) wrote :

Okay, I've done that. I'll log out and back in again.

Revision history for this message
LukeKendall (luke-zeta) wrote :

Okay, I've done that. I'll log out and back in again.

Actually, I rebooted, as I saw there was a kernel update I hadn't rebooted after applying. The reboot turned into the scary kind, for this Intel NUC, where I had to unplug not only all USB3 drives, but also the HDMI display before it would display the boot screen. But I'm back in action.

I'll let you know if there are further problems.

All Firefox windows are correctly decorated now, and the untouchable FF window on the 2nd monitor is also dispalying and functioning again properly.

description: updated
Revision history for this message
LukeKendall (luke-zeta) wrote :

I'm just reporting in that since upgrading metacity using Alberts' PPA, I have not experienced a further crash. The nearest I came was a screen-lock which I'm pretty sure I accidentally triggered via a Ctrl+Shift+L. :-) Since the frequency was something like every hour or two, I think that's a very healthy sign. Thanks, Alberts!

Changed in metacity (Ubuntu):
importance: Undecided → Critical
Revision history for this message
LukeKendall (luke-zeta) wrote :

Hmm, that was weird: similarly to comment #4, I just noticed a Firefox window lose all its decorations, so to hide it I had to use its icon in the dock. But when I unhid it, the decorations were back. So: weird. I just thought I'd mention it.

Revision history for this message
Martin Pitt (pitti) wrote : Please test proposed package

Hello LukeKendall, or anyone else affected,

Accepted metacity into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/metacity/1:3.18.4-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in metacity (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed
Revision history for this message
Martin Pitt (pitti) wrote :

Dmitry, please upload this to yakkety as well, otherwise this cannot land in -updates.

Revision history for this message
LukeKendall (luke-zeta) wrote :

The link https://wiki.ubuntu.com/Testing/EnableProposed talks about Ubuntu 14.04 and something called Softwatre & Updates:

"To enable the proposed archive for Ubuntu 14.04 use the Software & Updates program and ensure that Pre-release updates (trusty-proposed) is ticked in the Updates tab."

Is "Software & Updates" the same thing as System Tools -> Administration -> Update Manager, or Software Updater?

I got a crash when I tried to start Software Updater (it asked if I wanted to report it as a I relaunched it: but relaunching just crashed again). When I chose Update Manager, the window appeared then vanished.

I've attached the excerpt from /var/syslog.

I saw a warning a few days ago stating that one of my repositories for trusty (extensions, IIRC) was not able to be fetched as its signature was missing or out of date, and so I went into Update Manager and unchecked the single repository that matched. That sounds relevant, as I'm running Ubuntu 16.04. Also possibly relevant is a red danger-triangle that has been appearing on the top status/widget bar in the Flashback/Metacity UI, related to system updates: none of the options provided via the warning icon's drop-down menu actually worked (I think the options included: check for updates, install updates), but I was able to run Synaptic and Mark All Upgrade and then Apply and the red warning triangle went away following the updates synpatic found and applied.

Ah, and starting synaptic now reports an error in a more friendly way:

E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/au.archive.ubuntu.com_ubuntu_dists_trusty-updates_main_i18n_Translation-en
E: The package lists or status file could not be parsed or opened.
E: _cache->open() failed, please report.

I'll add another comment and attach that file, too: it looks binary to me.

Revision history for this message
LukeKendall (luke-zeta) wrote :
Download full text (10.9 KiB)

I moved aside the file it was complaining about, which I just mentioned, so I could attach it here. However, by the end of this report, it had been removed by the package system. I had done this, thinking kit would keep it safe:

# mv /var/lib/apt/lists/au.archive.ubuntu.com_ubuntu_dists_trusty-updates_main_i18n_Translation-en /var/lib/apt/lists/aside-au.archive.ubuntu.com_ubuntu_dists_trusty-updates_main_i18n_Translation-en

But apparently the package system removes files it doesn't expect to see there, so I'm sorry, I can't give you the copy I had preserved and Browsed to (apparently launchpad doesn't up[load the file then, it waits till you finish filling in the form: bad decision, I guess!

Anyway, for now I've just moved that file aside. That allowed Synaptic to run ;properly, and now allows Software Updater to start; but after a while it reports "Failed to download repository information". Ah, and it has an "Updates|" tab, so probably it's the "Software & Updates" thing referred to on the URL provided. (It seems user-unfriendly to name it with the name that you see after you've found it and started it, not the name you area presented with to start running it in the first place!)

And I suppose you can work out that that page probably refers to releases other than Trusty, even though you have to read on to discover that, rather than communicating that up-front, and not mentioning Xenial or Yakkety at all.

But that said, there is no "Pre-release updates (xenial-proposed)" option, so I still don't know how I can comply with the request, unfortunately!

Ah, what the URL *also* doesn't tell you is that you first need to click over to the Developer Options tab and first select:
     Pre-released update (<NAME>-proposed)

Oh. Good thought, but even enabling that didn't make the new option appear under the Updates tab.

I then tried closing the updater, and it reported the software list was now out of date and needed reloading. After doing that, I got further error messages:

W:http://dl.google.com/linux/earth/deb/dists/stable/Release.gpg: Signature by key 4CCA1EAF950CEE4AB83976DCA040830F7FAC5991 uses weak digest algorithm (SHA1), W:An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://extras.ubuntu.com/ubuntu trusty Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 16126D3A3E5C1192, E:Failed to fetch http://dl.google.com/linux/earth/deb/dists/stable/Release No Hash entry in Release file /var/lib/apt/lists/dl.google.com_linux_earth_deb_dists_stable_Release which is considered strong enough for security purposes, E:Failed to fetch http://au.archive.ubuntu.com/ubuntu/dists/trusty-updates/universe/source/Sources.bz2 Hash Sum mismatch, E:Failed to fetch http://au.archive.ubuntu.com/ubuntu/dists/trusty-updates/main/binary-amd64/Packages.bz2 Hash Sum mismatch, E:Failed to fetch http://au.archive.ubuntu.com/ubuntu/dists/trusty-updates/main/binary-i386/Packages.bz2 Hash Sum mismatch, E:Failed to fetch http://au.archive.ubuntu.com/ubuntu/dists/trusty-updates/universe/binary-amd64/Packages.bz2 Hash Su...

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package metacity - 1:3.18.4-1ubuntu1

---------------
metacity (1:3.18.4-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/metacity-common.links: Show keybindings in Unity control center.
    - debian/metacity-common.gsettings-override: Change the default theme to
      Ambiance.
  * Drop all patches, applied upstream.
  * The new release fixes LP: #1566157, #1573478.

 -- Dmitry Shachnev <email address hidden> Tue, 26 Apr 2016 14:21:16 +0300

Changed in metacity (Ubuntu Yakkety):
status: Confirmed → Fix Released
Revision history for this message
LukeKendall (luke-zeta) wrote :

I've installed it, but it's not convenient today to logout to restart metacity.

Note that the problem with the undisplayable firefox window is probably a separate bug. I think it relates to a similar problem: I keep an xcb window at the bottom of the left screen. It has started vanishing off-screen, too. From the animations if I hide and unhide it, it appears to have dropped below the edge of the displayable area. I'm not sure what triggers it. (I thought perhaps it happens when the scfreen locks, but I just tried that and it doesn't.)

But for xcb, if I select Maximise from the dock menu for it, I can see it and use it. But there's no other way to move its window or resize it so it's back on screen. I have to kill it and restart it. If I start a fresh xcb before killing the old one, it even preserves all the cut buffers.

I've also seen firefox windows lose all their desktop decorations (re-sizing edges, top bar with minimise, maximise, close icons), but hiding and then unhiding it via the window's right-click menu in the dock reinstates all those parts of the window.

Revision history for this message
Francesco Montorsi (francesco-montorsi) wrote :

I'm also affected by this bug. When will the ubuntu archive include the fix?
Can I download/install the fix without having to wait for metacity 3.18.4 to be officially released in Ubuntu archives?

Thanks

Revision history for this message
Bartosz Kosiorek (gang65) wrote :

@Francesco Monotrsi
To install metacity from proposed you could follow following instruction
https://wiki.ubuntu.com/Testing/EnableProposed

Unfortunately the place where could be enabled proposed archives was changed a little bit in Ubuntu 16.04.

Revision history for this message
Francesco Montorsi (francesco-montorsi) wrote :

@Bartosz Kosiorek (gang65)
Thanks for the link. I managed to install the updated metacity package from:
   https://launchpad.net/ubuntu/+source/metacity/1:3.18.4-0ubuntu0.1

and I can confirm that it fixes this bug. I've been using it for a couple of days without troubles, while previously metacity was crashing every 2-3 minutes... I think urgency of this updated package should be increased!

Thanks for the great job

Revision history for this message
Dmitry Shachnev (mitya57) wrote :

Marking as verification-done according to comment 18.

tags: added: verification-done
removed: verification-needed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package metacity - 1:3.18.4-0ubuntu0.1

---------------
metacity (1:3.18.4-0ubuntu0.1) xenial; urgency=medium

  * New upstream bugfix release.
    - Fixes crashes (LP: #1573478).
    - Fixes performance regressions (LP: #1566157).
  * Drop both patches, applied upstream.

 -- Dmitry Shachnev <email address hidden> Sun, 24 Apr 2016 21:37:01 +0300

Changed in metacity (Ubuntu Xenial):
status: Fix Committed → Fix Released
Revision history for this message
Martin Pitt (pitti) wrote : Update Released

The verification of the Stable Release Update for metacity has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers